It's alway the last three full versions of the following browsers that are required:

  • Google Chrome
  • Mozilla Firefox
  • Apple Safari
  • Microsoft Edge
  • Android Chrome
  • Example: Chrome 100 is the latest version, so also Chrome 99.2.4 and 98.1 will run.

Using a mobile device make sure your system covers at least

  • iOS 11 or
  • the last three Android versions

All other browsers and mobile OS systems may cause errors when using our application.

Did this answer your question?